=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2011-03-11 20:12:16 +0000
+++ bzrlib/bzrdir.py	2011-03-12 21:22:14 +0000
@@ -25,8 +25,6 @@
 objects returned.
 """
 
-# TODO: Move old formats into a plugin to make this file smaller.
-
 import sys
 
 from bzrlib.lazy_import import lazy_import
@@ -59,10 +57,6 @@
     do_catching_redirections,
     local,
     )
-from bzrlib.weave import (
-    WeaveFile,
-    Weave,
-    )
 """)
 
 from bzrlib.trace import (

=== modified file 'bzrlib/controldir.py'
--- bzrlib/controldir.py	2011-03-11 17:09:07 +0000
+++ bzrlib/controldir.py	2011-03-12 21:22:14 +0000
@@ -30,7 +30,6 @@
     cleanup,
     errors,
     fetch,
-    graph,
     revision as _mod_revision,
     transport as _mod_transport,
     urlutils,

=== modified file 'bzrlib/plugins/weave_fmt/__init__.py'
--- bzrlib/plugins/weave_fmt/__init__.py	2011-03-11 15:36:12 +0000
+++ bzrlib/plugins/weave_fmt/__init__.py	2011-03-13 00:08:28 +0000
@@ -20,24 +20,27 @@
 """
 
 from bzrlib import (
-    branch,
-    bzrdir,
+    branch as _mod_branch,
     controldir,
-    repository,
+    repository as _mod_repository,
     serializer,
-    workingtree,
+    workingtree as _mod_workingtree,
+    )
+from bzrlib.bzrdir import (
+    BzrProber,
+    register_metadir,
     )
 
 # Pre-0.8 formats that don't have a disk format string (because they are
 # versioned by the matching control directory). We use the control directories
 # disk format string as a key for the network_name because they meet the
 # constraints (simple string, unique, immutable).
-repository.network_format_registry.register_lazy(
+_mod_repository.network_format_registry.register_lazy(
     "Bazaar-NG branch, format 5\n",
     'bzrlib.plugins.weave_fmt.repository',
     'RepositoryFormat5',
 )
-repository.network_format_registry.register_lazy(
+_mod_repository.network_format_registry.register_lazy(
     "Bazaar-NG branch, format 6\n",
     'bzrlib.plugins.weave_fmt.repository',
     'RepositoryFormat6',
@@ -49,19 +52,19 @@
 # needed, it's constructed directly by the BzrDir.  Non-native formats where
 # the repository is not separately opened are similar.
 
-repository.format_registry.register_lazy(
+_mod_repository.format_registry.register_lazy(
     'Bazaar-NG Repository format 7',
     'bzrlib.plugins.weave_fmt.repository',
     'RepositoryFormat7'
     )
 
-repository.format_registry.register_extra_lazy(
+_mod_repository.format_registry.register_extra_lazy(
     'bzrlib.plugins.weave_fmt.repository',
     'RepositoryFormat4')
-repository.format_registry.register_extra_lazy(
+_mod_repository.format_registry.register_extra_lazy(
     'bzrlib.plugins.weave_fmt.repository',
     'RepositoryFormat5')
-repository.format_registry.register_extra_lazy(
+_mod_repository.format_registry.register_extra_lazy(
     'bzrlib.plugins.weave_fmt.repository',
     'RepositoryFormat6')
 
@@ -75,7 +78,7 @@
     ' support checkouts or shared repositories.',
     hidden=True,
     deprecated=True)
-bzrdir.register_metadir(controldir.format_registry, 'metaweave',
+register_metadir(controldir.format_registry, 'metaweave',
     'bzrlib.plugins.weave_fmt.repository.RepositoryFormat7',
     'Transitional format in 0.8.  Slower than knit.',
     branch_format='bzrlib.branch.BzrBranchFormat5',
@@ -84,25 +87,25 @@
     deprecated=True)
 
 
-bzrdir.BzrProber.formats.register_lazy(
+BzrProber.formats.register_lazy(
     "Bazaar-NG branch, format 0.0.4\n", "bzrlib.plugins.weave_fmt.bzrdir",
     "BzrDirFormat4")
-bzrdir.BzrProber.formats.register_lazy(
+BzrProber.formats.register_lazy(
     "Bazaar-NG branch, format 5\n", "bzrlib.plugins.weave_fmt.bzrdir",
     "BzrDirFormat5")
-bzrdir.BzrProber.formats.register_lazy(
+BzrProber.formats.register_lazy(
     "Bazaar-NG branch, format 6\n", "bzrlib.plugins.weave_fmt.bzrdir",
     "BzrDirFormat6")
 
 
-branch.format_registry.register_extra_lazy(
+_mod_branch.format_registry.register_extra_lazy(
     'bzrlib.plugins.weave_fmt.branch', 'BzrBranchFormat4')
-branch.network_format_registry.register_lazy(
+_mod_branch.network_format_registry.register_lazy(
     "Bazaar-NG branch, format 6\n",
     'bzrlib.plugins.weave_fmt.branch', "BzrBranchFormat4")
 
 
-workingtree.format_registry.register_extra_lazy(
+_mod_workingtree.format_registry.register_extra_lazy(
     'bzrlib.plugins.weave_fmt.workingtree',
     'WorkingTreeFormat2')
 

=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2011-03-12 23:58:55 +0000
+++ bzrlib/repository.py	2011-03-13 00:09:12 +0000
@@ -46,6 +46,7 @@
     versionedfile,
     )
 from bzrlib.bundle import serializer
+from bzrlib.recordcounter import RecordCounter
 from bzrlib.revisiontree import RevisionTree
 from bzrlib.store.versioned import VersionedFileStore
 from bzrlib.testament import Testament
@@ -65,7 +66,6 @@
     ROOT_ID,
     entry_factory,
     )
-from bzrlib.recordcounter import RecordCounter
 from bzrlib.lock import _RelockDebugMixin, LogicalLockResult
 from bzrlib.trace import (
     log_exception_quietly, note, mutter, mutter_callsite, warning)
@@ -3995,14 +3995,6 @@
         return wrong_parents, unused_keys
 
 
-def _old_get_graph(repository, revision_id):
-    """DO NOT USE. That is all. I'm serious."""
-    graph = repository.get_graph()
-    revision_graph = dict(((key, value) for key, value in
-        graph.iter_ancestry([revision_id]) if value is not None))
-    return _strip_NULL_ghosts(revision_graph)
-
-
 def _strip_NULL_ghosts(revision_graph):
     """Also don't use this. more compatibility code for unmigrated clients."""
     # Filter ghosts, and null:
@@ -4522,6 +4514,3 @@
     except StopIteration:
         # No more history
         return
-
-
-

=== modified file 'bzrlib/tests/test_import_tariff.py'
--- bzrlib/tests/test_import_tariff.py	2011-03-11 15:36:12 +0000
+++ bzrlib/tests/test_import_tariff.py	2011-03-12 21:22:14 +0000
@@ -117,6 +117,8 @@
             'bzrlib.plugins.weave_fmt.bzrdir',
             'bzrlib.plugins.weave_fmt.repository',
             'bzrlib.plugins.weave_fmt.workingtree',
+            'bzrlib.weave',
+            'bzrlib.weavefile',
             'bzrlib.xml4',
             'bzrlib.xml5',
             'bzrlib.xml6',

